Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.connector
Interface DocumentInteractionSpec

All Superinterfaces:
  javax.resource.cci.InteractionSpec, Serializable

All Known Implementing Classes:
  DocumentInteractionSpecImpl

public interface DocumentInteractionSpec
extends javax.resource.cci.InteractionSpec

Interface used to indicate an adapter's desire to cache IDocumentDefinition objects for use by it's Interaction object. This interface should be implemented by the InteractionSpec implementation for the adapter. It is used to load the request/response document definitions for a given InteractionSpec for use by the adapter when executing functions referring to this InteractionSpec.

This interface allows an InteractionSpec to cache a set of relatively expensive to create and and difficult to obtain objects. This mainly benefits the adapter in terms of performance, but can also benefit the user because the adapter will have the response schema needed to generate a response that exactly matches the schema the user is expecting it to match. Without this facility, the adapter is forced to recreate or guess the schema for the request/response.

Field Summary

Fields inherited from interface javax.resource.cci.InteractionSpec
`SYNC_RECEIVE, SYNC_SEND, SYNC_SEND_RECEIVE`

Method Summary
`com.bea.document.IDocumentDefinition` | `getRequestDocumentDefinition()` Get the IDocumentDefinition object representing the request document for this InteractionSpec object.
`com.bea.document.IDocumentDefinition` | `getResponseDocumentDefinition()` Get the IDocumentDefinition object representing the request document for this InteractionSpec object.
`void` | `setRequestDocumentDefinition(com.bea.document.IDocumentDefinition requestDocDef)` Set the IDocumentDefinition object representing the request document for this InteractionSpec object.
`void` | `setResponseDocumentDefinition(com.bea.document.IDocumentDefinition responseDocDef)` Set the IDocumentDefinition object representing the response document for this InteractionSpec object.

Method Detail

### setRequestDocumentDefinition

    public void setRequestDocumentDefinition(com.bea.document.IDocumentDefinition requestDocDef)
                                      throws javax.resource.ResourceException

  Set the IDocumentDefinition object representing the request document for this InteractionSpec object.

  Throws:
    `javax.resource.ResourceException`

### setResponseDocumentDefinition

    public void setResponseDocumentDefinition(com.bea.document.IDocumentDefinition responseDocDef)
                                       throws javax.resource.ResourceException

  Set the IDocumentDefinition object representing the response document for this InteractionSpec object.

  Throws:
    `javax.resource.ResourceException`

### getRequestDocumentDefinition

    public com.bea.document.IDocumentDefinition getRequestDocumentDefinition()

  Get the IDocumentDefinition object representing the request document for this InteractionSpec object.

### getResponseDocumentDefinition

    public com.bea.document.IDocumentDefinition getResponseDocumentDefinition()

  Get the IDocumentDefinition object representing the request document for this InteractionSpec object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD